| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
Feature Detection and Description
Features Framework

## Detailed Description

## Classes
struct | cv::Accumulator< T >
struct | cv::Accumulator< char >
struct | cv::Accumulator< short >
struct | cv::Accumulator< unsigned char >
struct | cv::Accumulator< unsigned short >
class | cv::AffineFeature
| Class for implementing the wrapper which makes detectors and extractors to be affine invariant, described as ASIFT in [313] . More...
class | cv::FastFeatureDetector
| Wrapping class for feature detection using the FAST method. More...
class | cv::Feature2D
| Abstract base class for 2D image feature detectors and descriptor extractors. More...
class | cv::GFTTDetector
| Wrapping class for feature detection using the goodFeaturesToTrack function. : More...
class | cv::KeyPointsFilter
| A class filters a vector of keypoints. More...
struct | cv::L1< T >
struct | cv::L2< T >
class | cv::MSER
| Maximally stable extremal region extractor. More...
class | cv::ORB
| Class implementing the ORB (oriented BRIEF) keypoint detector and descriptor extractor. More...
class | cv::SIFT
| Class for extracting keypoints and computing descriptors using the Scale Invariant Feature Transform (SIFT) algorithm by D. Lowe [174] . More...
class | cv::SimpleBlobDetector
| Class for extracting blobs from an image. : More...
struct | cv::SL2< T >

## Typedefs
typedef AffineFeature | cv::AffineDescriptorExtractor
typedef AffineFeature | cv::AffineFeatureDetector
typedef Feature2D | cv::DescriptorExtractor
typedef Feature2D | cv::FeatureDetector
typedef SIFT | cv::SiftDescriptorExtractor
typedef SIFT | cv::SiftFeatureDetector

## Functions
void | cv::computeRecallPrecisionCurve (const std::vector< std::vector< DMatch > > &matches1to2, const std::vector< std::vector< uchar > > &correctMatches1to2Mask, std::vector< Point2f > &recallPrecisionCurve)
void | cv::evaluateFeatureDetector (const Mat &img1, const Mat &img2, const Mat &H1to2, std::vector< KeyPoint > *keypoints1, std::vector< KeyPoint > *keypoints2, float &repeatability, int &correspCount, const Ptr< FeatureDetector > &fdetector=Ptr< FeatureDetector >())
void | cv::FAST (InputArray image, std::vector< KeyPoint > &keypoints, int threshold, bool nonmaxSuppression=true, FastFeatureDetector::DetectorType type=FastFeatureDetector::TYPE_9_16)
| Detects corners using the FAST algorithm.
int | cv::getNearestPoint (const std::vector< Point2f > &recallPrecisionCurve, float l_precision)
float | cv::getRecall (const std::vector< Point2f > &recallPrecisionCurve, float l_precision)

## Typedef Documentation

## ◆ AffineDescriptorExtractor

typedef AffineFeature cv::AffineDescriptorExtractor

`#include <opencv2/features.hpp>`

## ◆ AffineFeatureDetector

typedef AffineFeature cv::AffineFeatureDetector

`#include <opencv2/features.hpp>`

## ◆ DescriptorExtractor

typedef Feature2D cv::DescriptorExtractor

`#include <opencv2/features.hpp>`

Extractors of keypoint descriptors in OpenCV have wrappers with a common interface that enables you to easily switch between different algorithms solving the same problem. This section is devoted to computing descriptors represented as vectors in a multidimensional space. All objects that implement the vector descriptor extractors inherit the DescriptorExtractor interface.

## ◆ FeatureDetector

typedef Feature2D cv::FeatureDetector

`#include <opencv2/features.hpp>`

Feature detectors in OpenCV have wrappers with a common interface that enables you to easily switch between different algorithms solving the same problem. All objects that implement keypoint detectors inherit the FeatureDetector interface.

## ◆ SiftDescriptorExtractor

typedef SIFT cv::SiftDescriptorExtractor

`#include <opencv2/features.hpp>`

## ◆ SiftFeatureDetector

typedef SIFT cv::SiftFeatureDetector

`#include <opencv2/features.hpp>`

## Function Documentation

## ◆ computeRecallPrecisionCurve()

void cv::computeRecallPrecisionCurve | ( | const std::vector< std::vector< DMatch > > & | matches1to2,
|  | const std::vector< std::vector< uchar > > & | correctMatches1to2Mask,
|  | std::vector< Point2f > & | recallPrecisionCurve )

`#include <opencv2/features.hpp>`

## ◆ evaluateFeatureDetector()

void cv::evaluateFeatureDetector | ( | const Mat & | img1,
|  | const Mat & | img2,
|  | const Mat & | H1to2,
|  | std::vector< KeyPoint > * | keypoints1,
|  | std::vector< KeyPoint > * | keypoints2,
|  | float & | repeatability,
|  | int & | correspCount,
|  | const Ptr< FeatureDetector > & | fdetector = Ptr< FeatureDetector >() )

`#include <opencv2/features.hpp>`

## ◆ FAST()

void cv::FAST | ( | InputArray | image,
|  | std::vector< KeyPoint > & | keypoints,
|  | int | threshold,
|  | bool | nonmaxSuppression = true,
|  | FastFeatureDetector::DetectorType | type = FastFeatureDetector::TYPE_9_16 )

`#include <opencv2/features.hpp>`

Detects corners using the FAST algorithm.

Parameters

  image | grayscale image where keypoints (corners) are detected.
  keypoints | keypoints detected on the image.
  threshold | threshold on difference between intensity of the central pixel and pixels of a circle around this pixel.
  nonmaxSuppression | if true, non-maximum suppression is applied to detected keypoints (corners).
  type | one of the three neighborhoods as defined in the paper: FastFeatureDetector::TYPE_9_16, FastFeatureDetector::TYPE_7_12, FastFeatureDetector::TYPE_5_8

Detects corners using the FAST algorithm by [229] .

Check the corresponding tutorial for more details.

## ◆ getNearestPoint()

int cv::getNearestPoint | ( | const std::vector< Point2f > & | recallPrecisionCurve,
|  | float | l_precision )

`#include <opencv2/features.hpp>`

## ◆ getRecall()

float cv::getRecall | ( | const std::vector< Point2f > & | recallPrecisionCurve,
|  | float | l_precision )

`#include <opencv2/features.hpp>`